Subject: bug#62041: 30.0.50; RET bound to `comint-send-input` in C-mode buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Mar 2023 11:36:36 -0500

>> This seems to come from commit 8bb5c1bfec0929f2ba419e1c503f5acc01c336c2
>> but I don't understand why it was done this way.  Was it a plain "typo"?
>
> gud-minor-mode is supposed to show the same Gud menu on the menu bar
> as gud-mode, and is also supposed to support mouse clicking on the
> fringe to set/unset breakpoints.

Ah, right.
Keymap inheritance inherits too much here, but it's the right tool,
indeed, thanks.

> We need a better way of keeping the Gud menu and the fringe
> mouse-click bindings without inheriting all the comint stuff
> with that.

I should be able to come up with a good patch, now that I understand
what's going on :-)

        Stefan